package common.network;

import java.io.IOException;

public interface Packet<T> {
    void readPacketData(PacketBuffer buf) throws IOException;
    void writePacketData(PacketBuffer buf) throws IOException;
    void processPacket(T handler);
}
